# from e-Stat "市区町村数を調べる"

num <- rep(NA, 2013 - 1969)
names(num) <- as.character(1970:2013)

num["1970"] <- 3286 + 54
num["1971"] <- 3263 + 54
num["1972"] <- 3243 + 54
num["1973"] <- 3283
num["1974"] <- 3277
num["1975"] <- 3263
num["1976"] <- 3262
num["1977"] <- 3262
num["1978"] <- 3262
num["1979"] <- 3261
num["1980"] <- 3261
num["1981"] <- 3261
num["1982"] <- 3261  # have added 6 here and before because of Russian border issue
num["1983"] <- 3261
num["1984"] <- 3259
num["1985"] <- 3259
num["1986"] <- 3259
num["1987"] <- 3258
num["1988"] <- 3251
num["1989"] <- 3251
num["1990"] <- 3251
num["1991"] <- 3245
num["1992"] <- 3242
num["1993"] <- 3242
num["1994"] <- 3241
num["1995"] <- 3240
num["1996"] <- 3238
num["1997"] <- 3238
num["1998"] <- 3238
num["1999"] <- 3235
num["2000"] <- 3235
num["2001"] <- 3232
num["2002"] <- 3224
num["2003"] <- 3196
num["2004"] <- 3106
num["2005"] <- 2401
num["2006"] <- 1826
num["2007"] <- 1810
num["2008"] <- 1794
num["2009"] <- 1783
num["2010"] <- 1733
num["2011"] <- 1730
num["2012"] <- 1725
num["2013"] <- 1725 
num <- num + 23 - 6

yr <- seq(1970, to=2013, by=1)
library("lattice")
pdf(file="/home/fas/weese/egw5/japan_qe_final/muni.pdf")
xyplot(num ~ yr,
       panel=function(...) {
         panel.xyplot(...)
#         panel.text(x=1981, y=3150, labels="Total number of municipalities")
#         panel.text(x=1985.5, y=420, labels="Number of municipalities with population < 5000")
       },
#       main="Japanese municipalities, 1970-present",
       xlab="Year",
       ylab="Number of municipalities",
       type=c("s"),
       xlim=c(1970,2013),
       ylim=c(0,3400))
## dev.copy2eps(file="/home2/egw5/japan_qc/muni.eps")
## dev.copy2pdf(file="/home2/egw5/japan_qc/muni.pdf")
dev.off()

pdf(file="/home/fas/weese/egw5/japan_qe_final/muni_bw.pdf")
xyplot(num ~ yr,
       panel=function(...) {
         panel.xyplot(col="black", ...)
       },
#       main="Japanese municipalities, 1970-present",
       xlab="Year",
       ylab="Number of municipalities",
       type=c("s"),
       xlim=c(1970,2013),
       ylim=c(0,3400))
dev.off()
