tokureisai <- function(pops) {
  tot <- sum(pops)
  if(is.na(tot)) return(NA)
  incr <- tot - max(pops)
  a <- if(tot < 30000) 1 else if(tot < 100000) 0.714 else 0
  b <- if(tot < 30000) 0.2 else if(tot < 100000) 0.286 else 1
  c <- if(incr < 10000) 0.333 else if(incr < 50000) 0.167 else if(incr < 100000) 0.083 else if(incr < 200000) 0.042 else if(incr < 400000) 0.021 else 0
  d <- if(incr < 10000) 0.667 else if(incr < 50000) 0.833 else if(incr < 100000) 1.250 else if(incr < 200000) 1.667 else if(incr < 400000) 2.083 else 2.917
  e <- 2 - 2/length(pops)
  return(180000 * (tot/100000 * a + b) * (incr/10000 * c + d) * e)
}

investment <- c(FALSE, FALSE, FALSE,  TRUE, FALSE, FALSE, FALSE, FALSE,  TRUE, FALSE, FALSE, FALSE,
                FALSE, FALSE, FALSE, FALSE, FALSE, FALSE,  TRUE, FALSE, FALSE,  TRUE, FALSE, FALSE,
                TRUE,  FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE,  TRUE,  TRUE,  TRUE, FALSE,
#                FALSE, FALSE, FALSE,  TRUE, FALSE, FALSE, FALSE)  # name change for "other"
                FALSE, FALSE,  TRUE,  TRUE, FALSE, FALSE, FALSE)
