#legacy ZERO-BASED INDEXING

proj.home <- "/home2/egw5/japan_restud/"
proj.tmp <- "/home2/egw5/scratch/japan_restud/"
source(paste(proj.home, "parts_base.R", sep=""))

nonmerger.munis <- setdiff(all.munis, merger.munis)
nonmerger.igraphn <- lapply(nonmerger.munis, function(x) V(p.graph)[label == x])
names(nonmerger.igraphn) <- paste(shp@data[nonmerger.munis, "pref"], shp@data[nonmerger.munis, "county"], shp@data[nonmerger.munis, "muni"], sep="、")
actual.igraphn <- c(mergers.igraphn, nonmerger.igraphn)
actual.len <- sapply(actual.igraphn, length)

actual.l <- list()
for (size in sizes) {
  start.i <- sum(ncoal[0:(size-1)])
  for (coal.name in names(actual.igraphn[which(actual.len==size)])) {
    coal.munis <- unlist(actual.igraphn[coal.name])
    actual.l[[coal.name]] <- start.i + mwhich(coal.l[[size]], 1:size, as.list(coal.munis), 'eq', 'AND')
#  print(found.actual.l)
  }
}
if(any(sapply(actual.l, length) != 1)) stop("missing actual merger")
actual <- unlist(actual.l)
part.l <- list()      #to make actual in the same form as the other partitions
part.l[[1]] <- actual
num.choices <- 0  
fname <- paste(proj.tmp, p, "/parts_0.RData", sep="")
save(part.l, num.choices, file=fname)
