# seq 1 47 | perl -ne 'chomp($p=$_); print "Rscript --verbose /home2/egw5/japan_qc/parts_0.R ", $p, "\n"' > parts_0.task1
# seq 1 47 | perl -ne 'chomp($p=$_); print "Rscript --verbose /home2/egw5/japan_qc/parts_shorten.R ", $p, "\n"' > parts_shorten.task1
# sqCreateScript -q fas_devel -n 4 parts_shorten.task1 | qsub

proj.home <- "/home2/egw5/japan_restud/"
proj.tmp <- "/home2/egw5/scratch/japan_restud/"


options(echo=TRUE)
tmp <- as.numeric(commandArgs(trailingOnly=TRUE))
tmp
p <- as.numeric(tmp[1])
p
#seed <- as.numeric(tmp[2])
#seed

library("igraph0") #legacy ZERO-BASED INDEXING
library("bigmemory")
options(bigmemory.typecast.warning=FALSE)
load(paste(proj.home, "pgraph.RData", sep=""))
p.graph <- p.graph.l[[p]]
all.munis <- V(p.graph)$name
nmuni <- length(all.munis)
coal.l <- list()
coal.l[[1]] <- as.big.matrix(matrix((1:nmuni) - 1, ncol=1), type="short", shared=FALSE)
coal.l[[2]] <- as.big.matrix(t(sapply(as.list(0:(ecount(p.graph)-1)), function(x) get.edge(p.graph, x))), type="short", shared=FALSE)
for (size in 3:16) {
  fname <- paste(proj.tmp, p, "/", size, "_long.csv", sep="")
  f.bytes <- file.info(fname)[,"size"]
  if(is.na(f.bytes)) stop("missing file")
  coal.l[[size]] <- if(f.bytes == 0) NULL else read.big.matrix(fname, type="short", shared=FALSE)
}
sum(sapply(coal.l, length)) * 2
ncoal <- sapply(coal.l, nrow)
total.coalitions <- sum(ncoal)

fname <- paste(proj.tmp, p, "/parts_0.RData", sep="")
load(fname)

dyn.load(paste(proj.home, "parts.so", sep=""))
coal.addr.l <- lapply(coal.l, function(x) x@address)
keep <- rep(FALSE, sum(ncoal))
system.time(for(i in 1:length(part.l))
  keep <- keep | .Call("get_part_deviations", coal.addr.l, as.integer(sum(ncoal)), as.integer(nmuni), as.integer(part.l[[i]])))
fname <- paste(proj.tmp, p, "/keep_tmp.RData", sep="")
save(keep, file=fname)

c.l <- list()
for(i in 1:length(coal.l)) {
  c.l[[i]] <- NULL
  from <- sum(ncoal[0:(i-1)]) + 1
  to <- sum(ncoal[0:i])
  if(any(keep[from:to]))
    c.l[[i]] <- as.big.matrix(coal.l[[i]][keep[from:to],,drop=FALSE], type="short", shared=FALSE)
}

keep.cs <- cumsum(keep)
keep.cs[keep == FALSE] <- NA
p.l <- lapply(part.l, function(x) keep.cs[x])
names(p.l[[1]]) <- names(part.l[[1]])

fname <- paste(proj.tmp, p, "/parts_long.RData", sep="")
#fname <- paste("/home2/egw5/scratch/subgraphs/", p, "/parts_long_", seed, ".RData", sep="")
save(part.l, file=fname)
rm(coal.l, part.l)  #just to make sure we don't mess up...

for(size in 1:16) {
  fname <- paste(proj.tmp, p, "/", size, "_short.csv", sep="")
#  fname <- paste("/home2/egw5/scratch/subgraphs/", p, "/", size, "_short_", seed, ".csv", sep="")
  system(paste("touch", fname))
  if(!is.null(c.l[size][[1]])) write.big.matrix(c.l[[size]], fname)
}
fname <- paste(proj.tmp, p, "/parts_short.RData", sep="")
#fname <- paste("/home2/egw5/scratch/subgraphs/", p, "/", "parts_short_", seed, ".RData", sep="")
save(p.l, file=fname)
#fname <- paste(proj.tmp, p, "/choices_est.RData", sep="")
##fname <- paste("/home2/egw5/scratch/subgraphs/", p, "/", "choices_est_", seed, ".RData", sep="")
#save(choices.est, file=fname)
